---
title: "Creating ebooks from your RSS feeds"
date: 2024-08-01
draft: false
---

Starting last year, I've been trying to move back to the Open Web,
relying less and less on closed gardens and opaque technologies, and
focusing my efforts and my online presence in open standards and small
communities. This blog is a byproduct of that move, and me consuming
news and information in general through RSS is another one.

I've always enjoyed RSS. It's simple, easy to use, and back in the day
it was **everywhere**. Every blog would have one if not multiple RSS
feeds, every service worth their salt would generate RSS feeds for its
content (think youtube, reddit, github...), innovation happened on top
of the format (say podcasting) and one would end up with both a RSS
reader full of articles to go through every day, and multiple
automations processing updates through the format.

Things have changed a bit, services now don't pay that much attention
to RSS, most of them want you to use their apps to track and sell your
information, and the fact that a huge chunk of internet revenue is
driven by ads has forced a subset of the most obvious users of the
format (like newspapers or even some blogs) to close their feeds,
either by making them private or by giving you the headline of the
article and a link to see the full content (plus ads, loads of them,
maybe even a paywall) on their site.

RSS is still extremely popular amongst blogs and Open Web sites tho,
so when I started this move one of the first things I installed was
[Miniflux](https://miniflux.app/), a fast, simple and robust RSS reader. It works great and
allows me to read both from my computer and my mobile devices, but
having an ebook I wanted to try and centralise my reading directly on
that device.

Turns out that there is a quick and easy way of creating ebooks from
your RSS feeds using [Calibre](https://calibre-ebook.com/). You just need to export your feeds from
your reader as an OPML file, and import them into the tool as new
sources.

{{< figure src="/imgs/creating-ebooks-from-your-rss-feeds/fetch-news.png" >}}

If you have already imported your feeds, you can skip this next step,
but the first time you follow this process or when your feeds change
because you added or removed some, you need ot import the OPML file
into Calibre.

{{< figure src="/imgs/creating-ebooks-from-your-rss-feeds/import-OPML.png" >}}

You can then configure how many articles and how far back the tool
will go when fetching the data from your feeds. By default, the
generated ebooks will contain up to 100 articles per feed, and the
last seven days of content from those feeds. For me the default values
are fine, but you can tweak them if you prefer to have a customized
"daily newspaper" out of your feeds, for example, instead of a weekly
one.

{{< figure src="/imgs/creating-ebooks-from-your-rss-feeds/configure-import.png" >}}

After the OPML import finishes, you'll find several new recipes inside
the custom category, one per group on your feed export. To generate an
ebook for one of them, simply select it and click the "Download now"
button.

{{< figure src="/imgs/creating-ebooks-from-your-rss-feeds/schedule-import.png" >}}

When the job is completed, you should see a new book in the tool that
you can then convert to the format you want to use, transfer to your
device, and enjoy in gorgeous and crispy e-ink, 100% distraction free.

