---
title: "Embracing imperfection"
date: 2024-07-31
draft: false
---

Lately, I've been doing some exploratory work, both with my pet
projects and as part of my job, and I've struggled with it a bit more
than I expected. It could be because of my personal circumstances (I'm
more tired and distracted than usual), but I think it has more to do
with self-awareness and how it affects my approach to problem-solving.

Back in my college days, I was much more relaxed about how I tackled
my assignments. There wasn't a lot of consistency, but the process
more or less followed these steps:

-   Read the problem a couple of times until you fully understand it.
-   Draft a possible solution, iterate a couple of times until it looks
    good enough.
-   Do something else and forget about the problem completely until the
    last responsible moment (or just the last possible moment, as
    responsibility was sometimes lacking).
-   Sit down and fully focus on the problem until you solve it, often
    for more hours than was healthy.

This wasn't the best way to get through college, but it was the one I
opted for. As imperfect as it was, it only required me to focus on the
problem while I was working on it, I could free my mind during the
rest of the time. And most importantly, _it worked_. I got good grades
and enjoyed most of the time I spent learning.

Now, back to the present day, things have changed a bit. I'm older
(duh), I have more experience, and I'm much more aware of all the
things I don't know or am not an expert on. So every time a problem
comes my way, my brain uses the first cycles to diligently list all
the areas I need to explore and all the books I should read before
even thinking about starting to solve it.

This should help me have a well-informed, structured, and reasonable
amount of knowledge so I'm able to solve the problem to the best of my
ability, right?

...

right?

Well, wrong. Usually, there are two possible paths from here: either I
have a proper amount of time to invest, so I start studying and
building that knowledge, and at some point, I surrender to the
evidence that I can't learn everything about the subject before the
deadline inevitably arrives; or, if I don't have much time, I have to
come to terms with the fact that I'm going to face the problem knowing
that I'm not ready, which is basically the same outcome as in the
first case but without even starting to prepare.

This might be obvious for most people: we are not perfect, we are not
expected to know everything about something to be able to work on
it. Not only is imperfection normal, even failing is. But lately, the
fear of making mistakes, of not doing everything to the best of my
ability, has been an issue for me more often than not. Maybe it's a
mild case of [analysis paralysis](https://en.wikipedia.org/wiki/Analysis_paralysis), who knows.

I have to go back to my university days and remember the mindset I had
then: that most of the time, the stakes are not that high, that good
and honest effort is great even if it's not perfect, and that there
are other (most of the time more important) things in life besides the
problem that I currently have in front of me.

